> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/create#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets/create#try-it)

Creates an ad asset.

Returns the newly-created ad asset if successful.

Only supports the creation of assets of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAssetType` `AD_ASSET_TYPE_YOUTUBE_VIDEO`.

### HTTP request

`POST https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/adAssets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser this ad asset belongs to. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adAsset": { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAsset`) } } ``` |

| Fields ||
|---|---|
| `adAsset` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAsset`)`` Required. The ad asset to create. Only supports assets of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAssetType` `AD_ASSET_TYPE_YOUTUBE_VIDEO`. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adAssets#AdAsset`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).